Will Stratus Insight work on all iDevices?

Stratus Insight requires minimum iOS 12, however, we recommend iOS 13. Apple watch requires OS 3.0.